package com.capgemini.reports.documentationobjects;

import com.capgemini.framework.teamcenter.authent.TcSession;
import com.teamcenter.soa.client.model.strong.ItemRevision;

import static com.capgemini.framework.teamcenter.object.SnecmaObjectProperties.PV_DESIGNATION_EN;
import static com.capgemini.framework.teamcenter.object.SnecmaObjectProperties.PV_INDICE_PLAN;

/**
 * Class representing a DocDrawing.
 */
public class DocDrawing extends AbstractDoc {
    private static final long serialVersionUID = -7465031832786627181L;


    public DocDrawing(final TcSession session, final ItemRevision itemRevision) {
        super(session, itemRevision);
    }

    public String getDesignationEn() {
        return getMasterFormRev().getPropertyObject(PV_DESIGNATION_EN).getStringValue();
    }

    public String getIndicePlan() {
        return getMasterFormRev().getPropertyObject(PV_INDICE_PLAN).getStringValue();
    }

    @Override
    public <T> T accept(final IDocVisitor<T> docVisitor) {
        return docVisitor.visit(this);
    }
}
